datablock TSShapeConstructor(standupjetskiDts)
{
	baseShape  = "./standupjetski.dts";
	sequence0  = "./jetski_root.dsq root";

	sequence1  = "./jetski_root.dsq run";
	sequence2  = "./jetski_root.dsq walk";
	sequence3  = "./jetski_root.dsq back";
	sequence4  = "./jetski_root.dsq side";

	sequence5  = "./jetski_root.dsq crouch";
	sequence6  = "./jetski_root.dsq crouchRun";
	sequence7  = "./jetski_root.dsq crouchBack";
	sequence8  = "./jetski_root.dsq crouchSide";

	sequence9  = "./jetski_root.dsq look";
	sequence10 = "./jetski_root.dsq headside";
	sequence11 = "./jetski_root.dsq headUp";

	sequence12 = "./jetski_root.dsq jump";
	sequence13 = "./jetski_root.dsq standjump";
	sequence14 = "./jetski_root.dsq fall";
	sequence15 = "./jetski_root.dsq land";

	sequence16 = "./jetski_root.dsq armAttack";
	sequence17 = "./jetski_root.dsq armReadyLeft";
	sequence18 = "./jetski_root.dsq armReadyRight";
	sequence19 = "./jetski_root.dsq armReadyBoth";
	sequence20 = "./jetski_root.dsq spearready";  
	sequence21 = "./jetski_root.dsq spearThrow";

	sequence22 = "./jetski_root.dsq talk";  

	sequence23 = "./jetski_root.dsq death1"; 
	
	sequence24 = "./jetski_root.dsq shiftUp";
	sequence25 = "./jetski_root.dsq shiftDown";
	sequence26 = "./jetski_root.dsq shiftAway";
	sequence27 = "./jetski_root.dsq shiftTo";
	sequence28 = "./jetski_root.dsq shiftLeft";
	sequence29 = "./jetski_root.dsq shiftRight";
	sequence30 = "./jetski_root.dsq rotCW";
	sequence31 = "./jetski_root.dsq rotCCW";

	sequence32 = "./jetski_root.dsq undo";
	sequence33 = "./jetski_root.dsq plant";

	sequence34 = "./jetski_root.dsq sit";

	sequence35 = "./jetski_root.dsq wrench";

   sequence36 = "./jetski_root.dsq activate";
   sequence37 = "./jetski_root.dsq activate2";

   sequence38 = "./jetski_root.dsq leftrecoil";
};    

datablock ParticleEmitterData(StandupJetskiFoamEmitter)
{
   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 3.0;
   velocityVariance = 1.0;
   ejectionOffset   = 1.0;
   thetaMin         = 80;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "PlayerFoamParticle";

   useEmitterColors = true;

   uiName = "";
};

datablock PlayerData(StandupJetskiArmor : PlayerStandardArmor)
{
	cameraVerticalOffset = 3;
	shapefile = "./StandupJetski.dts";
	canJet = 0;
	mass = 50;
   drag = 0.02;
   density = 0.5;
   runSurfaceAngle = 1;
   jumpSurfaceAngle = 1;
   maxForwardSpeed = 0;
   maxBackwardSpeed = 0;
   maxBackwardCrouchSpeed = 0;
   maxForwardCrouchSpeed = 0;
   maxSideSpeed = 0;
   maxSideCrouchSpeed = 0;
   maxStepHeight = 0;
   maxUnderwaterSideSpeed = 0;
    maxUnderwaterForwardSpeed = 80;
    maxUnderwaterBackwardSpeed = 2;

	uiName = "StandupJetski";
	showEnergyBar = false;
	
   jumpForce = 0;
   jumpEnergyDrain = 10000;
   minJumpEnergy = 10000;
   jumpDelay = 127;
   minJumpSpeed = 0;
   maxJumpSpeed = 1;
	
	rideable = true;
	canRide = false;
	paintable = true;
	
   boundingBox			= vectorScale("2.5 2.5 1", 4); 
   crouchBoundingBox	= vectorScale("2.5 2.5 1", 4);
	
   lookUpLimit = 0.65;
	lookDownLimit = 0.45;
	
   numMountPoints = 1;
   mountThread[0] = "armsreadyboth";

   splashEmitter[0] = StandupJetskiFoamEmitter;
   splashEmitter[1] = StandupJetskiFoamEmitter;
   splashEmitter[2] = StandupJetskiFoamEmitter;
   
   upMaxSpeed = 1;
   upResistSpeed = 1;
   upResistFactor = 0.75;
   maxdamage = 200;

   minImpactSpeed = 250;
   speedDamageScale = 3.8;

   useCustomPainEffects = true;
   PainHighImage = "";
   PainMidImage  = "";
   PainLowImage  = "";
   painSound     = "";
   deathSound    = "";
};
